Name:           rpmrebuild
Version:        2.11
Release:        %mkrel 4
Summary:        A tool to build rpm file from rpm database

Group:          Development/Tools
License:        GPLv2+
URL:            http://rpmrebuild.sourceforge.net

Source0:        http://downloads.sourceforge.net/rpmrebuild/%{name}-%{version}.tar.gz

BuildArch:      noarch
Requires:       rpm >= 4.0, grep, bash, cpio, rpm-build, nano

%description
A tool to build an RPM file from a package that has already been installed.

%prep
%setup -q -c 


%build
%make


%install
%make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_prefix}/lib/rpmrebuild/VERSION

#fix for .src without shebangs
chmod a+w $RPM_BUILD_ROOT%{_prefix}/lib/rpmrebuild/rpmrebuild_parser.src
awk '{if (NR==1) print "#!/bin/bash\n" $0; else print $0;}' < $RPM_BUILD_ROOT%{_prefix}/lib/rpmrebuild/rpmrebuild_parser.src > $RPM_BUILD_ROOT%{_prefix}/lib/rpmrebuild/rpmrebuild_parser.src.new
mv $RPM_BUILD_ROOT%{_prefix}/lib/rpmrebuild/rpmrebuild_parser.src.new $RPM_BUILD_ROOT%{_prefix}/lib/rpmrebuild/rpmrebuild_parser.src
chmod a-w $RPM_BUILD_ROOT%{_prefix}/lib/rpmrebuild/rpmrebuild_parser.src

#remove non-UTF8 man files
rm -f $RPM_BUILD_ROOT%{_mandir}/fr_FR/man1/{demo,nodoc,file2pacDep,set_tag,uniq}.plug.1rrp.gz
rm -f $RPM_BUILD_ROOT%{_mandir}/fr_FR/man1/rpmrebuild{,_plugins}.1.gz
rm -rf $RPM_BUILD_ROOT%{_mandir}/fr_FR/man1/

#move UTF8 man files to the correct location
mkdir -p $RPM_BUILD_ROOT%{_mandir}/fr/man1/
mv $RPM_BUILD_ROOT%{_mandir}/fr_FR.UTF-8/man1/*  $RPM_BUILD_ROOT%{_mandir}/fr/man1/
rm -rf $RPM_BUILD_ROOT%{_mandir}/fr_FR.UTF-8/man1/

%files
%doc VERSION AUTHORS Changelog COPYING COPYRIGHT News Todo README
%dir %{_prefix}/lib/rpmrebuild/
%dir %{_prefix}/lib/rpmrebuild/plugins/
%dir %{_prefix}/lib/rpmrebuild/locale/
%dir %{_prefix}/lib/rpmrebuild/locale/fr_FR.UTF-8
%dir %{_prefix}/lib/rpmrebuild/locale/en
%dir %{_prefix}/lib/rpmrebuild/locale/fr_FR
%{_bindir}/rpmrebuild
%{_prefix}/lib/rpmrebuild/plugins/nodoc.sh
%{_prefix}/lib/rpmrebuild/rpmrebuild_parser.src
%{_prefix}/lib/rpmrebuild/processing_func.src
%{_prefix}/lib/rpmrebuild/rpmrebuild_rpmqf.src
%{_prefix}/lib/rpmrebuild/rpmrebuild_buildroot.sh
%{_prefix}/lib/rpmrebuild/spec_func.src
%{_prefix}/lib/rpmrebuild/rpmrebuild_lib.src
%{_prefix}/lib/rpmrebuild/rpmrebuild.sh
%{_prefix}/lib/rpmrebuild/plugins/uniq.sh
%{_prefix}/lib/rpmrebuild/plugins/demo.sh
%{_prefix}/lib/rpmrebuild/plugins/set_tag.sh
%{_prefix}/lib/rpmrebuild/plugins/file2pacDep.sh
%{_prefix}/lib/rpmrebuild/plugins/demofiles.sh
%{_prefix}/lib/rpmrebuild/rpmrebuild_ghost.sh
%{_prefix}/lib/rpmrebuild/rpmrebuild_files.sh
%{_prefix}/lib/rpmrebuild/plugins/compat_digest.sh
%{_prefix}/lib/rpmrebuild/plugins/set_tag.plug
%{_prefix}/lib/rpmrebuild/plugins/compat_digest.plug
%{_prefix}/lib/rpmrebuild/plugins/nodoc.plug
%{_prefix}/lib/rpmrebuild/plugins/demo.plug
%{_prefix}/lib/rpmrebuild/plugins/file2pacDep.plug
%{_prefix}/lib/rpmrebuild/plugins/uniq.plug
%{_prefix}/lib/rpmrebuild/plugins/demofiles.plug
%{_prefix}/lib/rpmrebuild/locale/en/rpmrebuild.lang
%{_prefix}/lib/rpmrebuild/locale/fr_FR.UTF-8/rpmrebuild.lang
%{_prefix}/lib/rpmrebuild/locale/fr_FR/rpmrebuild.lang
%{_prefix}/lib/rpmrebuild/plugins/un_prelink.plug
%{_prefix}/lib/rpmrebuild/plugins/un_prelink.sh
%{_prefix}/lib/rpmrebuild/plugins/unset_tag.plug
%{_prefix}/lib/rpmrebuild/plugins/unset_tag.sh
%{_prefix}/lib/rpmrebuild/rpmrebuild_extract_tags.sh
%{_mandir}/fr/man1/un_prelink.plug.1rrp.xz
%{_mandir}/fr/man1/unset_tag.plug.1rrp.xz
%{_mandir}/man1/un_prelink.plug.1rrp.xz
%{_mandir}/man1/unset_tag.plug.1rrp.xz
%{_mandir}/man1/demo.plug.1rrp.xz
%{_mandir}/man1/file2pacDep.plug.1rrp.xz
%{_mandir}/man1/nodoc.plug.1rrp.xz
%{_mandir}/man1/rpmrebuild.1.xz
%{_mandir}/man1/rpmrebuild_plugins.1.xz
%{_mandir}/man1/uniq.plug.1rrp.xz
%{_mandir}/man1/compat_digest.plug.1rrp.xz
%{_mandir}/fr/man1/demo.plug.1rrp.xz
%{_mandir}/fr/man1/demofiles.plug.1rrp.xz
%{_mandir}/fr/man1/file2pacDep.plug.1rrp.xz
%{_mandir}/fr/man1/nodoc.plug.1rrp.xz
%{_mandir}/fr/man1/rpmrebuild.1.xz
%{_mandir}/fr/man1/rpmrebuild_plugins.1.xz
%{_mandir}/fr/man1/set_tag.plug.1rrp.xz
%{_mandir}/fr/man1/uniq.plug.1rrp.xz
%{_mandir}/fr/man1/compat_digest.plug.1rrp.xz
%{_mandir}/man1/demofiles.plug.1rrp.xz
%{_mandir}/man1/set_tag.plug.1rrp.xz


%changelog
* Sat Feb 06 2016 umeabot <umeabot> 2.11-4.mga6
+ Revision: 940490
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.11-3.mga5
+ Revision: 746029
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.11-2.mga5
+ Revision: 688713
- Mageia 5 Mass Rebuild

* Mon Apr 28 2014 joequant <joequant> 2.11-1.mga5
+ Revision: 618630
- imported package rpmrebuild

